<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sqlMap PUBLIC "-//ibatis.apache.org//DTD SQL Map 2.0//EN" "http://ibatis.apache.org/dtd/sql-map-2.dtd">
<sqlMap namespace="BapInterfaceDeploy">

    <statement id="selectInterfaceDeploy" parameterClass="java.util.HashMap" resultClass="com.eactive.eai.rms.bap.loader.intf.deploy.InterfaceDeploy" >
        select
            bjobmsgdstcd, bjobmsgdsticname, bjobbzwkdstcd, bjobtrandstcdname, bjobtelgmhdrsize, bjobtelgmrecsize, bjobtelgmtrailsize, eaifilesenduseyn, eaifilerecvuseyn, msgprcssprity, syscd, uapplcd, sndrcvfilename, rcvfilepattern, sndrcvfilepath, thismsgchrgids, recvnotiuseyn, logcretnyn, filetranssche, thismsguseyn, thismsgregsntid, thismsgregihms, thismsgamndrid, thismsgamndhms, outbizcd, filetransalam, filetranscond, osidinstitelno, osidinstibzwkrsempname, osidinsticode, bzwkrsemptelno, bzwkrsempname, sndscriptname, rmtnodename, groupcocd, infid, intfid, bizlevel1, bizlevel2, syscd2, syslnkgdstcd, osidinstidstcd, rqstrspnsdstcd, lnkgipinfoname, lnkgportinfoname, lnkgid, lnkgpwd, toutval, tcirtlnkgstuscd, adptrbzwkgroupname, adptrbzwkname, srcfilepath, encyn
        from
            $schemaId$.tseaibj01
        where bjobmsgdstcd = #intfid#
    </statement>

    <delete id="deleteAllInterfaceDeploy" parameterClass="java.util.HashMap">
        delete from $schemaId$.tseaibj01 where bjobmsgdstcd = #intfid#
    </delete>

    <insert id="insertInterfaceDeploy" parameterClass="com.eactive.eai.rms.bap.loader.intf.deploy.InterfaceDeploy">
        insert into $schemaId$.tseaibj01
        (bjobmsgdstcd, bjobmsgdsticname, bjobbzwkdstcd, bjobtrandstcdname, bjobtelgmhdrsize, bjobtelgmrecsize, bjobtelgmtrailsize, eaifilesenduseyn, eaifilerecvuseyn, msgprcssprity, syscd, uapplcd, sndrcvfilename, rcvfilepattern, sndrcvfilepath, thismsgchrgids, recvnotiuseyn, logcretnyn, filetranssche, thismsguseyn, thismsgregsntid, thismsgregihms, thismsgamndrid, thismsgamndhms, outbizcd, filetransalam, filetranscond, osidinstitelno, osidinstibzwkrsempname, osidinsticode, bzwkrsemptelno, bzwkrsempname, sndscriptname, rmtnodename, groupcocd, infid, intfid, bizlevel1, bizlevel2, syscd2, syslnkgdstcd, osidinstidstcd, rqstrspnsdstcd, lnkgipinfoname, lnkgportinfoname, lnkgid, lnkgpwd, toutval, tcirtlnkgstuscd, adptrbzwkgroupname, adptrbzwkname, srcfilepath, encyn)
        values
        (#bjobmsgdstcd#, #bjobmsgdsticname#, #bjobbzwkdstcd#, #bjobtrandstcdname#, #bjobtelgmhdrsize#, #bjobtelgmrecsize#, #bjobtelgmtrailsize#, #eaifilesenduseyn#, #eaifilerecvuseyn#, #msgprcssprity#, #syscd#, #uapplcd#, #sndrcvfilename#, #rcvfilepattern#, #sndrcvfilepath#, #thismsgchrgids#, #recvnotiuseyn#, #logcretnyn#, #filetranssche#, #thismsguseyn#, #thismsgregsntid#, #thismsgregihms#, #thismsgamndrid#, #thismsgamndhms#, #outbizcd#, #filetransalam#, #filetranscond#, #osidinstitelno#, #osidinstibzwkrsempname#, #osidinsticode#, #bzwkrsemptelno#, #bzwkrsempname#, #sndscriptname#, #rmtnodename#, #groupcocd#, #infid#, #intfid#, #bizlevel1#, #bizlevel2#, #syscd2#, #syslnkgdstcd#, #osidinstidstcd#, #rqstrspnsdstcd#, #lnkgipinfoname#, #lnkgportinfoname#, #lnkgid#, #lnkgpwd#, #toutval#, #tcirtlnkgstuscd#, #adptrbzwkgroupname#, #adptrbzwkname#, #srcfilepath#, #encyn#)
    </insert>

</sqlMap>
